import os

from RssManager import *
from handlers.pixiv.pixiv_handler import *

class CreateRssServer():
    def __init__(self):
        rss_options = [
            {
                'id': 'pixiv',
                'type': 0,
                'url': os.getenv('pixiv_rss_url'),
                'result_handler': pixiv_result_handler
            }
        ]
        self.app = RssManager(rss_options)

rss_server = CreateRssServer()
app = rss_server.app

if __name__ == '__main__':
    app.start()
